Author Topic: Errors when trying to upgrade forum to 2.0.10  (Read 160 times)

Bencuri

  • Newbie
  • *
  • Posts: 8
  • Karma: 0
Errors when trying to upgrade forum to 2.0.10
« on: September 02, 2021, 05:00:01 pm »
I am trying to upgrade the forum from 2.0.9 to 2.0.10, but the updater reports "Test failed" for theme related upgrades. In case of SMF4Mobile, it wants to change these, but cannot find corresponding sections. Do these changes have any significance from the aspect of SMF4Mobile, or I can just skip them?


Code: [Select]
Code: (Find) [Select]
var is_ff = (ua.indexOf('firefox') != -1 || ua.indexOf('iceweasel') != -1 || ua.indexOf('icecat') != -1 || ua.indexOf('shiretoko') != -1 || ua.indexOf('minefield') != -1) && !is_opera;

Code: (Replace) [Select]
var is_ff = (ua.indexOf('firefox') != -1 || ua.indexOf('iceweasel') != -1 || ua.indexOf('icecat') != -1 || ua.indexOf('shiretoko') != -1 || ua.indexOf('minefield') != -1 || ua.indexOf('PaleMoon') != -1) && !is_opera;

Code: (Find) [Select]
if ('oThemeOptions' in this.opt && this.opt.oThemeOptions.bUseThemeSettings)

Code: (Replace) [Select]
if (!bInit && 'oThemeOptions' in this.opt && this.opt.oThemeOptions.bUseThemeSettings)

Code: (Find) [Select]
<li class="board" style="margin-', $context['right_to_left'] ? 'right' : 'left', ': ', $board['child_level'], 'em;">
<label for="brd', $board['id'], '"><input type="checkbox" id="brd', $board['id'], '" name="brd[', $board['id'], ']" value="', $board['id'], '"', $board['selected'] ? ' checked="checked"' : '', ' class="input_check" /> ', $board['name'], '</label>
</li>';

Code: (Replace) [Select]
<li class="board">
<label for="brd', $board['id'], '" style="margin-', $context['right_to_left'] ? 'right' : 'left', ': ', $board['child_level'], 'em;"><input type="checkbox" id="brd', $board['id'], '" name="brd[', $board['id'], ']" value="', $board['id'], '"', $board['selected'] ? ' checked="checked"' : '', ' class="input_check" /> ', $board['name'], '</label>
</li>';

Code: (Find) [Select]
\'question\', \'topic\'

Code: (Replace) [Select]
\'question\', \'topic\', ', JavaScriptEscape($context['session_var']), '


vbgamer45

  • Administrator
  • *****
  • Posts: 200
  • Karma: 3
Re: Errors when trying to upgrade forum to 2.0.10
« Reply #1 on: September 02, 2021, 07:42:19 pm »
You can just skip them if they are updates for the SMF4Mobile theme. I would try to upgrade to latest SMF version if you can.

Bencuri

  • Newbie
  • *
  • Posts: 8
  • Karma: 0
Re: Errors when trying to upgrade forum to 2.0.10
« Reply #2 on: September 02, 2021, 08:01:31 pm »
I have SMF4Mobile 1.0, which is the max version that it supports?

vbgamer45

  • Administrator
  • *****
  • Posts: 200
  • Karma: 3
Re: Errors when trying to upgrade forum to 2.0.10
« Reply #3 on: September 02, 2021, 08:29:14 pm »
It should support all of SMF 2.0.x